Arch: da Mesh a Forma

From FreeCAD Documentation
Revision as of 18:30, 9 February 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Da Mesh a Forma

Posizione nel menu
Arch → Utilità → Da Mesh a Forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Rimuovi Forma

Descrizione

Questo strumento converte un oggetto Mesh selezionato in un oggetto Forma. Notare che questo strumento è ottimizzato per oggetti con facce piane (senza curve). Lo strumento corrispondente dell'ambiente Parte può essere più adatto per gli oggetti che contengono superfici curve.

Utilizzo

  1. Selezionare un oggetto mesh
  2. Selezionare la voce Template:KEY/it nel menu Architettura → Utilità

Script

Questo strumento può essere utilizzato nelle macro e dalla console python utilizzando la seguente funzione:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
Trasforma un oggetto maglia in una forma, unendo le sfaccettature complanari.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)